org.apache.lucene.util.fst

## Class Util.TopResults<T>

- java.lang.Object
- - org.apache.lucene.util.fst.Util.TopResults<T>

- All Implemented Interfaces:
    Iterable<Util.Result<T>>
  Enclosing class:
    Util

      public static final class Util.TopResults<T>
      extends Object
      implements Iterable<Util.Result<T>>

  Holds the results for a top N search using `Util.TopNSearcher`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isComplete` `true` iff this is a complete result ie.
    `List<Util.Result<T>>` | `topN` The top results

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<Util.Result<T>>` | `iterator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### isComplete

          public final boolean isComplete

      `true` iff this is a complete result ie. if the specified queue size was large enough to find the complete list of results. This might be `false` if the `Util.TopNSearcher` rejected too many results.

    - #### topN

          public final List<Util.Result<T>> topN

      The top results

  - ### Method Detail

    - #### iterator

          public Iterator<Util.Result<T>> iterator()

      Specified by:
        `iterator` in interface `Iterable<Util.Result<T>>`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.